Page MenuHomePhabricator

Request Team "WMF-Design-Research"
Closed, ResolvedPublic

Description

Name: Design Research
Description: Wikimedia foundation Design Research team
Type of project: team
Policy:

Visible To Public : yes (can this be changed later?)
Editable By All Users : team members only
Joinable By All Users : no

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to High.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.
Jaredzimmerman-WMF added a subscriber: aripstra.

... why would you want to make this group invisible later?

If the research team needs to store sensitive or semi-sensitive data or videos about research participants the group would need to not be public.

It sounds like you want a way to hide tickets and boards rather than the team itself.

That would probably be acceptable.

Qgil edited projects, added Project-Admins; removed Phabricator.Nov 25 2014, 10:10 PM
Qgil added a subscriber: Qgil.Nov 25 2014, 10:15 PM

For what is worth, private projects (as in projects containing only private tasks) are at the very end of the queue, see T823: Implement Phabricator Spaces.

Specific tasks can be made private, but we still don't have a fluent process to handle that out of security, operations, wmf-nda...

If this is clear, WMF-Design-Research corresponds to an actual WMF team, so having a team project for them is a no brainer.

Yes, we should go ahead and create as a team, and pre-add @aripstra and myself. we can deal with the privacy issues later.

Alright, since now you are in Project-Admins, and you made this proposal, and it looks ok, you can create the project yourself. :)

Just in case: https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#New_projects

Jaredzimmerman-WMF closed this task as Resolved.Nov 25 2014, 11:24 PM
Qgil reopened this task as Open.Nov 26 2014, 9:28 AM
Qgil added a project: Design-Research.

#WMF_Design_Research is missing the dashes. Please follow the guidelines.

https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Name

Reasoning and ongoing discussion: T911: Phabricator project display names use awkward capitalization and hyphenation

PS: @Jaredzimmerman-WMF please bring a dash back to #WMF_Design as well. I could not edit these two projects myself due to the restricted policies they have.

@Qgil I can't find the discussion as to why this naming convention was used post migration, can you link to it? I've changed these for now, but after I have a chance to look at the rationalization I might want to talk more. It feels very techy(in a bad way) and dated. But I'm interested in learning more about the rational.

Jaredzimmerman-WMF closed this task as Resolved.Dec 1 2014, 9:27 PM
Jaredzimmerman-WMF moved this task from Freezer to Done on the WMF-Design board.

@Jaredzimmerman-WMF There's also a conflict between:
#design at https://phabricator.wikimedia.org/tag/design/
#Design at https://phabricator.wikimedia.org/tag/wmf-design/
I recommend deleting the second. (It doesn't work anyway, the hashtags seem to ignore capitalization. But it might confuse someone in the future.)

I can't find the discussion as to why this naming convention was used post migration, can you link to it?

If we allowed spaces in project names, referencing a "#project name" in text will not work for these projects (you'd have to know that you have to write "#project_name"), plus entering a URL replacing spaces by %20 HTML entities (instead of underscores) like in http://phabricator.wikimedia.org/tag/Some%20Project/ will not work. (T283#3526)

@Aklapper that makes sense if phab didn't support aliases but since it does I'm not sure why official names can't have spaces, and aliases can be created with underscores, camelcase, dashes, whatever people want.

Qgil added a comment.Dec 30 2014, 10:31 AM

fwiw the right place to discuss the current naming guidelines is T911: Phabricator project display names use awkward capitalization and hyphenation.